## evince 49~alpha

=== meson_options.txt ===
option('profile', type: 'combo', choices: ['default', 'devel'], value: 'default', description: 'whether this is a development build')
option('platform', type: 'combo', choices: ['gnome', 'win32'], value: 'gnome', description: 'for which platform to build')

option('viewer', type: 'boolean', value: true, description: 'whether Viewer support is requested')
option('previewer', type: 'boolean', value: true, description: 'whether Previewer support is requested')
option('thumbnailer', type: 'boolean', value: true, description: 'whether Thumbnailer support is requested')
option('nautilus', type: 'boolean', value: false, description: 'whether Nautilus support is requested')

option('comics', type: 'feature', value: 'auto', description: 'whether Comics support is requested')
option('djvu', type: 'feature', value: 'auto', description: 'whether DJVU support is requested')
option('dvi', type: 'feature', value: 'auto', description: 'whether DVI support is requested')
option('pdf', type: 'feature', value: 'enabled', description: 'whether PDF support is requested')
option('ps', type: 'feature', value: 'disabled', description: 'whether PS support is requested')
option('tiff', type: 'feature', value: 'auto', description: 'whether TIFF support is requested')
option('xps', type: 'feature', value: 'auto', description: 'whether XPS support is requested')

option('gtk_doc', type: 'boolean', value: true, description: 'whether GTK Doc reference is requested')
option('user_doc', type: 'boolean', value: true, description: 'whether User documentation is requested')
option('introspection', type: 'boolean', value: true, description: 'whether introspection support is requested')
option('dbus', type: 'boolean', value: true, description: 'whether DBUS support is requested')
option('keyring', type: 'feature', value: 'auto', description: 'whether keyring support is requested')
option('gtk_unix_print', type: 'feature', value: 'auto', description: 'whether gtk+-unix-print support is requested')
option('thumbnail_cache', type: 'feature', value: 'auto', description: 'whether GNOME Desktop (Thumbnail cache) is requested')

option('internal_synctex', type: 'combo', value: 'auto', choices : ['auto', 'true', 'false'], description: 'whether to use the internal synctex')
option('internal_sysprof', type: 'combo', value: 'true', choices : ['auto', 'true', 'false'], description: 'whether to use the internal copy of sysprof')

option('systemduserunitdir', type: 'string', value: '', description: 'custom directory for systemd user units, or \'no\' to disable')

=== debian/changelog ===
evince (49~alpha-2ubuntu2) resolute; urgency=medium

  * Add Build-Depends: dh-sequence-gnome & set X-Ubuntu-Use-Langpack: yes
    because of the patch to change Evince's display name

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Feb 2026 13:54:43 -0500

evince (49~alpha-2ubuntu1) resolute; urgency=medium

  * Sync with Debian. Remaining changes:
    - Cherry-pick patch to change display name to Evince
    - d/apparmor-profile: Update env exec rule for new coreutil paths
      (LP: #2123870)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Feb 2026 13:09:25 -0500

evince (49~alpha-2) unstable; urgency=medium

  * debian/copyright: Convert to 1.0 format
  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Update Homepage
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Feb 2026 23:27:09 -0500

evince (49~alpha-1) unstable; urgency=medium

  * New upstream release
  * Rename packages for soname bump
  * Build with gtk4 & libadwaita
  * Add Build-Depends: libexempi-dev
  * Add Build-Depends: libsysprof-capture-4-dev
  * Update debian/libevview-4.0-5.symbols
  * libview no longer uses gstreamer for a multimedia media player
  * evince-common.install: Stop installing /usr/share/evince/icons/
  * Stop using dh-sequence-gnome
  * Remove patches applied in new release
  * Comment out remaining patch since it doesn't apply cleanly

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 Jan 2026 12:24:52 -0500

evince (48.1-4) unstable; urgency=medium

  * Team upload
  * d/control: Improve GObject-Introspection-related fields:
    - Build-depend on gobject-introspection and gir1.2-*-dev.
      This avoids needing to depend on libgirepository1.0-dev, which
      should be removed during the forky cycle.
    - Use ${gir:Depends} instead of hard-coding it
    - Use ${gir:Provides} for introspection data instead of hard-coding it
    - Use ${gir:Provides} for -dev package.
      This results in the correct gir1.2-*-dev virtual package names being
      generated, which is helpful for packages that depend on this one.
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/libevince-dev.links: Register documentation with devhelp
  * Remove obsolete Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Aug 2025 18:34:51 +0100

=== debian/control ===
Source: evince
Standards-Version: 4.7.3
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Section: gnome
Build-Depends: debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-gir,
               dh-sequence-gnome,
               desktop-file-utils,
               gi-docgen,
               gir1.2-gdk-4.0-dev,
               gir1.2-gdkpixbuf-2.0-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-glib-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-gtk-4.0-dev,
               gsettings-desktop-schemas-dev,
               itstool,
               libadwaita-1-dev,
               libarchive-dev,
               libcairo2-dev,
               libdbus-1-dev,
               libdjvulibre-dev,
               libexempi-dev,
               libgdk-pixbuf-2.0-dev,
               libgnome-desktop-4-dev,
               libgtk-4-dev,
               libgxps-dev,
               libkpathsea-dev,
               libpoppler-glib-dev,
               libsecret-1-dev,
               libsm-dev,
               libspectre-dev,
               libsynctex-dev,
               libsysprof-capture-4-dev,
               libtiff-dev (>= 4),
               libx11-dev,
               libxml2-dev,
               meson,
               zlib1g-dev
Vcs-Browser: https://salsa.debian.org/gnome-team/extras/evince
Vcs-Git: https://salsa.debian.org/gnome-team/extras/evince.git
Homepage: https://gitlab.gnome.org/GNOME/evince
X-Ubuntu-Use-Langpack: yes

Package: evince
Architecture: any
Depends: evince-common (>= ${source:Version}),
         gsettings-desktop-schemas,
         libevdocument-4.0-6 (= ${binary:Version}),
         libevview-4.0-5 (= ${binary:Version}),
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-dbus-session-bus | dbus-session-bus
Suggests: gvfs, nautilus-sendto, poppler-data, unrar
Enhances: nautilus
Provides: djvu-viewer, pdf-viewer, postscript-viewer
Description: Document (PostScript, PDF) viewer
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DjVu, DVI, Portable
 Document Format (PDF) and XML Paper Specification (XPS) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.

Package: evince-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Document (PostScript, PDF) viewer - common files
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DjVu, DVI, Portable
 Document Format (PDF) and XML Paper Specification (XPS) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.
 .
 This package contains architecture-independent files for evince.

Package: libevdocument-4.0-6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document (PostScript, PDF) rendering library
 This package contains libevdocument, which performs the rendering of the
 documents.
 .
 It ships with a ps, pdf, dvi, tiff, djvu, comics and xps backend.

Package: libevview-4.0-5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document (PostScript, PDF) rendering library - Gtk+ widgets
 This package contains libevview, which provides GTK+ widgets for displaying
 documents.

Package: libevince-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libevdocument-4.0-6 (= ${binary:Version}),
         libevview-4.0-5 (= ${binary:Version}),
         libglib2.0-dev (>= 2.75.0),
         libgtk-4-dev,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: Document (PostScript, PDF) rendering library - development files
 This package contains evince-related libraries for rendering and displaying
 Evince documents like PostScript (PS), Encapsulated PostScript (EPS), DjVu,
 DVI, Portable Document Format (PDF) and XML Paper Specification (XPS) files.
  * libevdocument, which performs the rendering of the documents
  * libevview, which provides GTK+ widgets for displaying documents
 .
 This package provides the development headers, static libraries and
 documentation.

Package: gir1.2-evince-4.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Provides: ${gir:Provides}
Description: GObject introspection data for the evince libraries
 This package contains introspection data for the libevview and
 libevdocument libraries.
 .
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DjVu, DVI, Portable
 Document Format (PDF) and XML Paper Specification (XPS) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dinternal_synctex=false \
		-Dps=enabled \
		-Dintrospection=true \
		-Dgtk_doc=true

override_dh_makeshlibs:
	dh_makeshlibs \
		-X /usr/lib/$(DEB_HOST_MULTIARCH)/evince/

execute_after_dh_install:
	install -m 0644 -D debian/apparmor-profile debian/evince/etc/apparmor.d/usr.bin.evince
	install -m 0644 -D debian/apparmor-profile.abstraction debian/evince/etc/apparmor.d/abstractions/evince
	install -m 0644 -D debian/evince.apport debian/evince/usr/share/apport/package-hooks/source_evince.py
	dh_apparmor --profile-name=usr.bin.evince -pevince

# We only use dh_gnome to automatically run dh_translations in Ubuntu
override_dh_gnome:
